<?php
/* Mantenimiento de los registros de la tabla MST_ReferenciaProducto redefinidos por el usaurio */
class MST_ReferenciaProductoDP extends BaseMST_ReferenciaProductoDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdReferencia ) IS NULL, 1, MAX( IdReferencia ) + 1 ) i_Id  FROM MST_ReferenciaProducto;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>